Index: channels/chan_sip.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/chan_sip.c,v
retrieving revision 1.387
diff -u -r1.387 chan_sip.c
--- channels/chan_sip.c	13 May 2004 19:54:42 -0000	1.387
+++ channels/chan_sip.c	14 May 2004 04:39:55 -0000
@@ -505,10 +505,13 @@
 static int __sip_xmit(struct sip_pvt *p, char *data, int len)
 {
 	int res;
-	if (p->nat)
+	if (p->nat) {
+            p->recv.sin_family = AF_INET;
 	    res=sendto(sipsock, data, len, 0, (struct sockaddr *)&p->recv, sizeof(struct sockaddr_in));
-	else
+	} else {
+            p->sa.sin_family = AF_INET;
 	    res=sendto(sipsock, data, len, 0, (struct sockaddr *)&p->sa, sizeof(struct sockaddr_in));
+        }
 	if (res != len) {
 		ast_log(LOG_WARNING, "sip_xmit of %p (len %d) to %s returned %d: %s\n", data, len, inet_ntoa(p->sa.sin_addr), res, strerror(errno));
 	}
